#ifndef CONTROLS_H
#define CONTROLS_H

#include "rendering/Window.h"

namespace Controls {
    extern Window::Controls::ButtonId left;
    extern Window::Controls::ButtonId right;
    extern Window::Controls::ButtonId up;
    extern Window::Controls::ButtonId down;

    extern Window::Controls::ButtonId jump;
    extern Window::Controls::ButtonId sneak;

    extern Window::Controls::ButtonId escape;
    extern Window::Controls::ButtonId chat;
    extern Window::Controls::ButtonId enter;

    extern Window::Controls::ButtonId primaryClick;
    extern Window::Controls::ButtonId secondaryClick;

    void init();
    bool wasReleased(Window::Controls::ButtonId id);
    bool isDown(Window::Controls::ButtonId id);
}

#endif