#ifndef PLAYER_H
#define PLAYER_H

#include "math/BufferedValue.h"
#include "math/Vector.h"

namespace Player {
    void tick();

    Vector3 getPosition(float lag = 1.0f);
    float getLengthAngle(float lag = 1.0f);
    float getWidthAngle(float lag = 1.0f);
    Vector3 getLook(float lag = 1.0f);
}

#endif